package com.sundot.airport.exam.logic.eighteen.model.result.subresult;

import com.sundot.airport.exam.enums.QuesTypeEnum;

import java.util.List;

/**
 * <b>功能名：QuestionIn18Exam</b><br>
 * <b>说明：</b> 题目数据 <br>
 * <b>著作权：</b> Copyright (C) 2021 HUIFANEDU  CORPORATION<br>
 * <b>修改履历：</b><br>
 *
 * @author 2021-06-30 Mokou
 */
public class QuestionIn18Exam {
    /**
     * 题目ID
     */
    private String quId;

    /**
     * 题目类型
     */
    private QuesTypeEnum quType;

    /**
     * 题干内容
     */
    private String quContent;

    /**
     * 选项列表
     */
    private List<OptionIn18Exam> options;

    public String getQuId() {
        return quId;
    }

    public void setQuId(String quId) {
        this.quId = quId;
    }

    public QuesTypeEnum getQuType() {
        return quType;
    }

    public void setQuType(QuesTypeEnum quType) {
        this.quType = quType;
    }

    public String getQuContent() {
        return quContent;
    }

    public void setQuContent(String quContent) {
        this.quContent = quContent;
    }

    public List<OptionIn18Exam> getOptions() {
        return options;
    }

    public void setOptions(List<OptionIn18Exam> options) {
        this.options = options;
    }

    @Override
    public String toString() {
        return "QuestionIn18Exam{" +
                "quId='" + quId + '\'' +
                ", quType=" + quType +
                ", quContent='" + quContent + '\'' +
                ", options=" + options +
                '}';
    }
}
